%define desktop_file 1
%define desktop_file_utils_version 0.2.90

%define dataver 0.61

%define XFree86_4_2 1

Summary: Tux Racer.
Name: tuxracer
Version: 0.61
Release: 23
License: GPL
Group: Amusements/Games
URL: http://www.tuxracer.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source: http://download.sourceforge.net/tuxracer/tuxracer-%{version}.tar.bz2 
Source1: http://download.sourceforge.net/tuxracer/tuxracer-data-%{version}.tar.bz2
Source2: tuxracer.png
Source3: tuxracer.desktop

Patch: tuxracer-0.60.1-GL.patch
Patch1: tuxracer-0.61-config.patch
Patch2: tuxracer-0.61-ia64.patch
Patch3: tuxracer-0.61-gcc33.patch

Obsoletes: tuxracer-data

BuildPrereq: grep
BuildPrereq: Mesa-devel >= 3.3
BuildPrereq: SDL-devel
BuildPrereq: SDL_mixer-devel

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The
object of the game is to slide down a snow- and ice-covered mountain
as quickly as possible, avoiding the trees and rocks that will slow
you down.

%prep
%setup -q
%patch -p1 -b .GL
%patch1 -p1 -b .config
%patch2 -p1 -b .ia64
%patch3 -p1 -b .gcc33

%if ! %{XFree86_4_2}
# butt ugly hack to workaround GL <-> C++ (gcc-RH aka 2.96) glitches
# children, don't do this at home
mkdir src/GL
grep -v '^extern void exit(int);' /usr/include/GL/glut.h > src/GL/glut.h
%endif

%build
CFLAGS="-DGLX_GLXEXT_LEGACY $RPM_OPT_FLAGS" \
%configure --with-data-dir=%{_datadir}/tuxracer \
           --with-gl-inc=/usr/X11R6/include \
           --with-gl-libs=/usr/X11R6/lib \
           --with-glut-inc=/usr/X11R6/include \
           --with-glut-libs=/usr/X11R6/lib

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}/tuxracer

mkdir -p $RPM_BUILD_ROOT%{_datadir}
pushd $RPM_BUILD_ROOT%{_datadir}
bzip2 -dc %{SOURCE1} | tar xf -
mv tuxracer-data-%{dataver} tuxracer
cp %{SOURCE2} tuxracer/
find . -type f | xargs chmod 644
popd

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/applications/net-tuxracer.desktop
%else
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/applnk/Games/tuxracer.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root, 755)
%{_bindir}/tuxracer
%dir %{_datadir}/tuxracer
%{_datadir}/tuxracer/*
%if %{desktop_file}
%{_datadir}/applications/*
%else
%attr(0644,root,root) /etc/X11/applnk/Games/tuxracer.desktop
%endif
%doc AUTHORS COPYING ChangeLog README contrib

%changelog
* Thu Aug 14 2003 Than Ngo <than@redhat.com> 0.61-23
- get rid of smpeg lib in configure (bug #85466)

* Mon Jul 14 2003 Than Ngo <than@redhat.com> 0.61-22
- fixed typo bug 

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Than Ngo <than@redhat.com> 0.61-19
- fix build problem with gcc 3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.61-18
- rebuild to fix broken tcltk deps

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 0.61-17
- fix build problem

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Fri Aug  2 2002 han Ngo <than@redhat.com> 0.61-14
- Added full path of the icon (bug #70497)

* Fri Jul 26 2002 Than Ngo <than@redhat.com> 0.61-13
- fix sound issue (bug #68763)
- fix some warnings with gcc-3.2

* Wed Jul 24 2002 Tim Powers <timp@redhat.com> 0.61-12
- fesktop file issue (bug #69510)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 0.61-11
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.61-10
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.61-9
- automated rebuild

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 0.61-8
- fix to build in new enviroment

* Mon Nov  5 2001 Than Ngo <than@redhat.com> 0.61-7
- fix interpolation bug (bug #43901)

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Jul 17 2001 Tim Powers <timp@redhat.com>
- try one more time to remove the deps on libXxf86dga.so.1 and libXv.so.1

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild to remove libXv/libXxf86dga deps

* Fri Jun 22 2001 Preston Brown <pbrown@redhat.com>
- build for dist

* Wed Feb 28 2001 Than Ngo <than@redhat.com>
- fix permission problem (Bug #30033)

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- update to 0.61, which fixes many bugs (Bug #29047)

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current libSDL_mixer
- 0.60.3

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- bzip2 source

* Mon Nov 06 2000 Than Ngo <than@redhat.com>
- initial build for powertools-7.1
- clean up specfile

* Mon Oct 09 2000 Nils Philippsen <nils@redhat.de>
- version 0.60.1
- hacked around GL/g++-RH (aka 2.96) incompatibilities
- added desktop entry and icon
 
* Wed Aug 30 2000 Nils Philippsen <nils@redhat.de>
- version 0.12.1
- initial build for Extra Binge
